> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization

> Create an organization for a given Environment.



## OpenAPI

````yaml post /provisioning/organizations
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /provisioning/organizations:
    post:
      tags:
        - provisioning
      summary: Create Organization
      description: Create an organization for a given Environment.
      operationId: create_organization
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationCreateModel'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationRespModel'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Non-Unique Organization Identifier or Validation Error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
components:
  schemas:
    OrganizationCreateModel:
      properties:
        identifier:
          description: A unique identifier you use for your customer
          title: Identifier
          type: string
        name:
          description: A friendly name for your end customer
          title: Name
          type: string
      required:
        - name
        - identifier
      title: OrganizationCreateModel
      type: object
    OrganizationRespModel:
      properties:
        id:
          description: Leen's identifier for this organization.
          format: uuid
          title: Id
          type: string
        identifier:
          description: >-
            Your own key for this organization. Unique within your environment,
            so it is what to match on when reconciling against your own records.
          title: Identifier
          type: string
        name:
          description: Display name, as you set it.
          title: Name
          type: string
      required:
        - id
        - name
        - identifier
      title: Organization
      type: object
    ErrorException:
      properties:
        detail:
          description: Error message
          title: Detail
          type: string
      required:
        - detail
      title: ErrorException
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.